### Hierarchy

- WritableOptions
  - DuplexOptions

## Index

### Properties

- decodeStrings
- highWaterMark
- objectMode

### Methods

- destroy
- final
- write
- writev

## Properties

### Optional decodeStrings

decodeStrings: undefined | false | true

- Defined in node_modules/@types/node/stream.d.ts:100

### Optional highWaterMark

highWaterMark: undefined | number

- Defined in node_modules/@types/node/stream.d.ts:99

### Optional objectMode

objectMode: undefined | false | true

- Defined in node_modules/@types/node/stream.d.ts:101

## Methods

### Optional destroy

- destroy(this: Writable, error: Error | null, callback: function): void

- - Defined in node_modules/@types/node/stream.d.ts:104

  #### Parameters

  - ##### this: Writable

  - ##### error: Error | null

  - ##### callback: function

    - - (error: Error | null): void

      - #### Parameters

        - ##### error: Error | null

        #### Returns void

### Optional final

- final(this: Writable, callback: function): void

- - Defined in node_modules/@types/node/stream.d.ts:105

  #### Parameters

  - ##### this: Writable

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional write

- write(this: Writable, chunk: any, encoding: string, callback: function): void

- - Defined in node_modules/@types/node/stream.d.ts:102

  #### Parameters

  - ##### this: Writable

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional writev

- writev(this: Writable, chunks: Array<object>, callback: function): void

- - Defined in node_modules/@types/node/stream.d.ts:103

  #### Parameters

  - ##### this: Writable

  - ##### chunks: Array<object>

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

Generated using TypeDoc